libquicktime-dev_1.2.4-11build1_i386.deb


Advertisement

Description

libquicktime-dev - library for reading and writing Quicktime files (development)

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libquicktime-dev
Package version 1.2.4
Package release 11build1
Package architecture i386
Package type deb
Installed size 177 B
Download size 27.62 KB
Official Mirror archive.ubuntu.com
libquicktime is a library for reading and writing QuickTime files on UNIX
systems. Video CODECs supported by this library are OpenDivX, MJPA, JPEG Photo,
PNG, RGB, YUV 4:2:2, and YUV 4:2:0 compression. Supported audio CODECs are Ogg
Vorbis, IMA4, ulaw, and any linear PCM format.
This package contains the development files.

Alternatives

Package Version Architecture Repository
libquicktime-dev_1.2.4-11build1_amd64.deb 1.2.4 amd64 Ubuntu Universe
libquicktime-dev - - -

Requires

Name Value
libgl-dev -
libgl1-mesa-dev -
libquicktime2 = 2:1.2.4-11build1
zlib1g-dev -

Download

Type URL
Binary Package libquicktime-dev_1.2.4-11build1_i386.deb
Source Package libquicktime

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libquicktime-dev deb package:
    # sudo apt-get install libquicktime-dev

Files

Path
/usr/include/lqt/colormodels.h
/usr/include/lqt/compression.h
/usr/include/lqt/lqt.h
/usr/include/lqt/lqt_atoms.h
/usr/include/lqt/lqt_codecinfo.h
/usr/include/lqt/lqt_qtvr.h
/usr/include/lqt/lqt_version.h
/usr/include/lqt/quicktime.h
/usr/lib/i386-linux-gnu/libquicktime.so
/usr/lib/i386-linux-gnu/pkgconfig/libquicktime.pc
/usr/share/doc/libquicktime-dev/README
/usr/share/doc/libquicktime-dev/TODO
/usr/share/doc/libquicktime-dev/changelog.Debian.gz
/usr/share/doc/libquicktime-dev/copyright

Changelog

2018-01-30 - Matthias Klose <doko@ubuntu.com>
libquicktime (2:1.2.4-11build1) bionic; urgency=medium
* No-change rebuild for x264 soname change.
2017-06-30 - Reinhard Tartler <siretart@tauware.de>
libquicktime (2:1.2.4-11) unstable; urgency=medium
* Cherry pick security patches from upstream (Closes: #864664)
- CVE-2017-9122
- CVE-2017-9123
- CVE-2017-9124
- CVE-2017-9125
- CVE-2017-9126
- CVE-2017-9127
- CVE-2017-9128
2017-02-27 - Balint Reczey <balint@balintreczey.hu>
libquicktime (2:1.2.4-10) unstable; urgency=medium
* Fix integer overflow in the quicktime_read_pascal function (CVE-2016-2399)
(Closes: #855099)
2016-11-29 - Sebastian Ramacher <sramacher@debian.org>
libquicktime (2:1.2.4-9) unstable; urgency=medium
* Team upload.
* debian/control:
- Bump Standards-Version
- Remove libschroedinger-dev from B-D. (Closes: #845362)
* debian/rules: Pass -Xlqt_ to dh_makeshlibs to ignore plugins when generating
symbol file.
2016-03-08 - Sebastian Ramacher <sramacher@debian.org>
libquicktime (2:1.2.4-8) unstable; urgency=medium
* Team upload.
[ Sebastian Ramacher ]
* Bump debhelper compat to 9.
* debian/control:
- Bump Standards-Version.
- Update Vcs-*.
[ Andreas Cadhalpun ]
* Fix build against ffmpeg 3.0. (Closes: #803836)
2014-09-30 - Alessio Treglia <alessio@debian.org>
libquicktime (2:1.2.4-7) unstable; urgency=medium
* Team upload.
* Build-depend on libjpeg-dev; conversely drop build-dep on libjpeg8-dev.
Thanks to Ondřej Surý for the nice reminder. (Closes: #763481)
2014-05-13 - Sebastian Ramacher <sramacher@debian.org>
libquicktime (2:1.2.4-6) unstable; urgency=medium
* Team upload.
* debian/control:
- Bump Standards-Version.
- Use canonical Vcs-* URIs.
2014-03-16 - Reinhard Tartler <siretart@tauware.de>
libquicktime (2:1.2.4-5) experimental; urgency=low
* build against libav10 (Closes: #739325)
2013-06-12 - Reinhard Tartler <siretart@tauware.de>
libquicktime (2:1.2.4-4) unstable; urgency=low
* remove Sam from the Uploaders field on his own request
* disable cpu autodetection (Closes: #707305)
* Bump standards version (no changes needed)
2012-05-21 - Alessio Treglia <alessio@debian.org>
libquicktime (2:1.2.4-3) unstable; urgency=low
* Team upload.
* debian/patches/11-path_max.patch (Closes: #670338):
- Avoid the use of PATH_MAX to allow building quicktime on hurd.
- utils/rechunk.c: Don't use getline() unconditionally as it
needs GNU extensions.

See Also

Package Description
libquicktime-doc_1.2.4-11build1_all.deb library for reading and writing Quicktime files (documentation)
libquicktime2_1.2.4-11build1_i386.deb library for reading and writing Quicktime files
libquoin-clojure_0.1.2-3_all.deb Clojure utilities for writing template engines
libquota-perl_1.7.2+dfsg-1build3_i386.deb Perl interface to file system quotas
libqupzilla-dev_3.0.0-0ubuntu3_all.deb transitional package for libqupzilla-dev
libqupzilla1_3.0.0-0ubuntu3_all.deb transitional package for libqupzilla1
libquvi-0.9-0.9.3_0.9.3-1.2_i386.deb library for parsing video download links (runtime libraries)
libquvi-0.9-dev_0.9.3-1.2_i386.deb library for parsing video download links (development package)
libquvi-0.9-doc_0.9.3-1.2_all.deb library for parsing video download links (documentation package)
libquvi-scripts-0.9_0.9.20131130-1.1_all.deb library for parsing video download links (Lua scripts)
libqwt-dev_6.1.3-1_i386.deb Qt widgets library for technical applications (development, qt4)
libqwt-doc_6.1.3-1_all.deb Qt widgets library for technical applications (documentation)
libqwt-headers_6.1.3-1_i386.deb Qt widgets library for technical applications (header files)
libqwt-qt5-6_6.1.3-1_i386.deb Qt widgets library for technical applications (runtime, qt5)
libqwt-qt5-dev_6.1.3-1_i386.deb Qt widgets library for technical applications (development, qt5)
Advertisement
Advertisement